IF DB_ID('University') IS NOT NULL
	DROP DATABASE University
GO
create database University; 
GO
use University;
GO

create table Teacher(
   Code VARCHAR(12) PRIMARY KEY,
   Name VARCHAR(50) NOT NULL,
   Position VARCHAR(50)
);

create table Course( 
   Code VARCHAR(10) PRIMARY KEY,
   Name VARCHAR(50) NOT NULL,
   TeacherCode VARCHAR(12) NOT NULL,
   MaxStudents INTEGER NOT NULL,
   CONSTRAINT CourseToTeacher 
        FOREIGN KEY (TeacherCode) 
        REFERENCES Teacher (Code)
);

create table Student(
   Code VARCHAR(12) PRIMARY KEY,
   Name VARCHAR(50) NOT NULL,
   Program VARCHAR(50) NOT NULL
);

create table Application(
   Id INTEGER PRIMARY KEY IDENTITY(1,1),
   CourseCode VARCHAR(10) NOT NULL,
   StudentCode VARCHAR(12) NOT NULL,
   CONSTRAINT ApplicationToCourse 
        FOREIGN KEY (CourseCode) 
        REFERENCES Course (Code),
   CONSTRAINT ApplicationToStudent
        FOREIGN KEY (StudentCode) 
        REFERENCES Student (Code)
);
GO

insert into Teacher values('GRTKAAT.ELTE','Gregorics Tibor','Docens');
insert into Teacher values('SISKAAT.ELTE','Sike Sndor','Docens');
insert into Teacher values('GIRIAAT.ELTE','Giachetta Roberto','Tanrsegd');
insert into Teacher values('CSMQABI.ELTE','Cserp Mt','Gyakorlatvezet');

insert into Course(Code, Name, TeacherCode, MaxStudents) values('OAF','Objektum-elv alkalmazsok fejlesztse','GRTKAAT.ELTE',100);
insert into Course(Code, Name, TeacherCode, MaxStudents) values('EVA1','Esemnyvezrelt alkalmazsok I','GRTKAAT.ELTE',80);
insert into Course(Code, Name, TeacherCode, MaxStudents) values('EVA2','Esemnyvezrelt alkalmazsok II','GIRIAAT.ELTE',80);
insert into Course(Code, Name, TeacherCode, MaxStudents) values('WAF','Webes alkalmazsok fejlesztse','CSMQABI.ELTE',60);

insert into Student(Code, Name, Program) values('JEJSAAI.ELTE','Jelents Jnos','Programtervez informatikus');
insert into Student(Code, Name, Program) values('FEFSAAI.ELTE','Fenenagy Ferenc','Programtervez informatikus');
insert into Student(Code, Name, Program) values('HUHSAAI.ELTE','Huba Hug','Programtervez informatikus');
insert into Student(Code, Name, Program) values('GEGSAAI.ELTE','Gem Gza','Programtervez informatikus');
insert into Student(Code, Name, Program) values('TETSAAI.ELTE','Teszt Tams','Web-programoz FSz');

insert into Application(CourseCode, StudentCode) values('OAF','JEJSAAI.ELTE');
insert into Application(CourseCode, StudentCode) values('OAF','TETSAAI.ELTE');
insert into Application(CourseCode, StudentCode) values('EVA1','JEJSAAI.ELTE');
insert into Application(CourseCode, StudentCode) values('EVA1','FEFSAAI.ELTE');
insert into Application(CourseCode, StudentCode) values('WAF','JEJSAAI.ELTE');
insert into Application(CourseCode, StudentCode) values('EVA1','HUHSAAI.ELTE');
insert into Application(CourseCode, StudentCode) values('EVA1','GEGSAAI.ELTE');
insert into Application(CourseCode, StudentCode) values('WAF','HUHSAAI.ELTE');
GO
