﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;

namespace SimpleEntityUsage
{
    class Program
    {
        static void Main(string[] args)
        {
            MyDatabaseEntities entities = new MyDatabaseEntities();
            // entitásmodell példányosítása

            try
            {
                if (!entities.DatabaseExists()) // ellenőrizzük, hogy létezik-e a kapcsolat
                {
                    Console.WriteLine("Nem sikerült megnyitni az adatbázist, megpróbáljuk létrehozni.");
                    entities.CreateDatabase();
                }

                if (entities.Connection.State != ConnectionState.Broken) // ha nincs megszakadva a kapcsolat
                {
                    Int32 rowCount = entities.FirstTable.Count(); // sorok számának lekérdezése
                    Console.WriteLine("A sorok száma: " + rowCount.ToString());

                    FirstTable firstTableEntity = new FirstTable(); // első táblához tartozó entitás létrehozása
                    firstTableEntity.FirstColumn = 103;
                    firstTableEntity.SecondColumn = "teszt3";

                    entities.AddToFirstTable(firstTableEntity); // új entitás felvétele
                    entities.SaveChanges(); // változtatások mentése az adatbázisba

                    foreach (FirstTable entity in entities.FirstTable) // entitások kiiratása
                    {
                        Console.WriteLine(entity.FirstColumn + ", " + entity.SecondColumn);
                    }

                    entities.Connection.Close(); // kapcsolat lezárása (nem szükséges)

                    Console.ReadKey();
                }
            }
            catch (Exception ex)
            {
                Console.WriteLine("Hiba történt: " + ex.Message);
                Console.ReadKey();
            }
        }
    }
}
