﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows;
using System.Windows.Data;
using ELTE.Data.TravelAgency.RentManager.Model;

namespace ELTE.Data.TravelAgency.RentManager.ViewModel
{
    /// <summary>
    /// Városnév átalakító típusa.
    /// </summary>
    public class CityNameConverter : IValueConverter
    {
        private IEnumerable<City> _Cities; // városok listája

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            // itt a városok listájából állítunk elő szöveget
            if (value == null || !(value is IEnumerable<City>)) // ellenőrizzük az értéket
                return Binding.DoNothing; // ha nem megfelelő, nem csinálunk semmit

            _Cities = value as IEnumerable<City>;

            try
            {
                return _Cities.Select(x => x.Name); // nevek lekérdezése
            }
            catch
            {
                return Binding.DoNothing;
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            // itt egy városnévből állítunk elő indexet

            if (value == null || !(value is String)) // ellenőrizzük az értéket
                return DependencyProperty.UnsetValue; // ha nem megfelelő, nem tudjuk az értéket beállítani

            try
            {
                return _Cities.First(x => x.Name == (value as String)).Id; // keresés a névre
            }
            catch
            {
                return DependencyProperty.UnsetValue;
            }
        }
    }
}
