﻿using System;
using System.Windows.Data;

namespace ELTE.Data.TravelAgency.RentManager.ViewModel
{
    /// <summary>
    /// Hét napja átalakító típusa.
    /// </summary>
    public class DayOfWeekConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value == null || !(value is Int32))
                return Binding.DoNothing;

            try
            {
                return culture.DateTimeFormat.DayNames[(Int32)value - 1]; // lekérjük a nap nevét az aktuális nyelvi környezetben
            }
            catch
            {
                return Binding.DoNothing;
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
