﻿using System;
using System.Windows.Data;

namespace ELTE.Data.TravelAgency.RentManager.ViewModel
{
    /// <summary>
    /// Vége dátum átalakító típusa.
    /// </summary>
    public class EndDateConverter : IMultiValueConverter
    {
        public object Convert(object[] values, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (!(values[0] is DateTime) || !(values[1] is Int32))
                return Binding.DoNothing;

            DateTime endDate = (DateTime)values[0] + TimeSpan.FromDays((Int32)values[1] * 7); // kiszámoljuk a befejező dátumot

            return endDate.ToString("yyyy-MM-dd");
        }

        public object[] ConvertBack(object value, Type[] targetTypes, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
