﻿using System;
using System.Collections.Generic;
using System.Windows.Data;

namespace ELTE.Data.TravelAgency.RentManager.ViewModel
{
    /// <summary>
    /// Jellemző megjelenítés átalakító típusa.
    /// </summary>
    public class FeatureDisplayConverter : IValueConverter
    {
        /// <summary>
        /// Jellemzők listája.
        /// </summary>
        private static readonly List<String> _FeatureList = new List<String> { "főút", "parti szolgálat", "úszómedence", "kert", "saját parkoló" };

        /// <summary>
        /// Jellemzők listájának lekérdezése.
        /// </summary>
        public static List<String> FeatureList { get { return _FeatureList; } }

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value == null || !(value is Int32))
                return Binding.DoNothing;

            String features = String.Empty;

            for (Int32 i = 0; i < 5; i++)
                if ((System.Convert.ToInt32(value) >> i) % 2 == 1) // a jellemzőket összerakjuk
                    features += _FeatureList[i] + ", ";

            if (features.Length > 0)
                return features.Substring(0, features.Length - 2); // a megfelelő szöveget visszaadjuk
            else
                return "nincsenek";
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            // a visszakonvertálással nem törődünk
            return Binding.DoNothing;
        }
    }
}
