﻿using System;
using System.Windows;
using System.Windows.Data;

namespace ELTE.Data.TravelAgency.RentManager.ViewModel
{
    /// <summary>
    /// Egész szám átalakító típusa.
    /// </summary>
    public class IntSuffixConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value == null || parameter == null) // ellenőrizzük az értéket
                return Binding.DoNothing; // ha nem megfelelő, nem csinálunk semmit

            return value + " " + parameter;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value == null || !(value is String)) // ellenőrizzük az értéket
                return DependencyProperty.UnsetValue; // ha nem megfelelő, nem tudjuk az értéket beállítani

            try
            {
                return Int32.Parse((value as String).Substring(0, (value as String).Length - (parameter as String).Length - 1));
            }
            catch
            {
                return DependencyProperty.UnsetValue;
            }
        }
    }
}
