﻿using System;
using System.Text.RegularExpressions;
using System.Windows;
using System.Windows.Data;

namespace ELTE.Data.TravelAgency.RentManager.ViewModel
{
    /// <summary>
    /// E-mail cím átalakító típusa.
    /// </summary>
    public class RentEmailConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            return value; // a konverziónál nem csinálunk semmit
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value == null)
                return DependencyProperty.UnsetValue;

            // e-mail cím formátumának ellenérzése
            if (!Regex.IsMatch(value.ToString(), @"^([0-9a-zA-Z]([-.\w]*[0-9a-zA-Z])*@([0-9a-zA-Z][-\w]*[0-9a-zA-Z]\.)+[a-zA-Z]{2,9})$"))
                return DependencyProperty.UnsetValue; // jelezzük, ha hiba történt

            return value; // nem csinálunk semmit
        }
    }
}
