﻿using System;
using System.Collections.Generic;
using System.Windows;
using System.Windows.Data;

namespace ELTE.Data.TravelAgency.RentManager.ViewModel
{
    /// <summary>
    /// Tengerpart típus átalakító típusa.
    /// </summary>
    public class ShoreTypeConverter : IValueConverter
    {
        /// <summary>
        /// Tengerpart típusok listája.
        /// </summary>
        private static readonly List<String> _ShoreList = new List<String> { "homokos", "sziklás", "kavicsos", "aprókavicsos" };

        /// <summary>
        /// Tengerpart típusok listájának lekrédezése.
        /// </summary>
        public List<String> ShoreList { get { return _ShoreList; } }

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value == null || !(value is Int32)) // ellenőrizzük az értéket
                return Binding.DoNothing; // ha nem megfelelő, nem csinálunk semmit

            Int32 index = (Int32)value;

            if (index < 0 || index >= _ShoreList.Count)
                return Binding.DoNothing;

            return _ShoreList[index];
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value == null || !(value is String)) // ellenőrizzük az értéket
                return DependencyProperty.UnsetValue; // ha nem megfelelő, nem tudjuk az értéket beállítani

            if (_ShoreList.Contains(value as String))
                return _ShoreList.IndexOf(value as String);
            else
                return 0;
        }
    }
}
